Bug 1553702 - Digit zero with an oblique strike instead of inside dot
Summary: Digit zero with an oblique strike instead of inside dot
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: liberation-fonts
Version: 29
Hardware: All
OS: All
unspecified
unspecified
Target Milestone: ---
Assignee: vishal vijayraghavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-09 11:02 UTC by Mai Ling
Modified: 2019-11-01 02:52 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-01 02:52:10 UTC
Type: Bug


Attachments (Terms of Use)
look at line 22:23:48 (3.75 MB, image/jpeg)
2018-10-02 19:31 UTC, Mai Ling
no flags Details

Description Mai Ling 2018-03-09 11:02:16 UTC
Description of problem:

I'd wish to have a version of the monospaced font (Liberation Mono) where digit zero has an oblique strike instead of inside dot.

The dot version makes it difficult to me to distinguish it from the digit eight

Version-Release number of selected component (if applicable):


How reproducible:
looking at the display

Steps to Reproduce:
1. look at digit zero displayed with Liberation Mono font
2.
3.

Actual results:
See a version with a dot in the middle of the shape

Expected results:
See a version with an oblique strike crossing the shape

Additional info:

Comment 1 vishal vijayraghavan 2018-05-08 06:46:46 UTC
Hi Mai,

Dot in middle of the shape zero looks good but sure if there is any ambiguity between digit zero and digit eight will definitely fix that. 

Can you please add a screen shot for the mentioned issue.

Comment 2 Mai Ling 2018-05-21 13:49:22 UTC
I don't think is there any ambiguity for regular people.

I am myopic and I find much easier to distinguish sign zero from sign eight when zero has an oblique strike instead of dot.

Providing screenshot would be irelevant, since you would need to see how the image is formed on my retina vs how the image is formed on the screen... but attaching anyway: 0 from libration mono versus 0 from apple's Menlo

https://i.imgur.com/tqIRaod.png
https://i.imgur.com/IHIWEs0.png

Comment 3 Jens Petersen 2018-05-22 07:42:18 UTC
A real screenshot would help to see how you are using the font...

Anyway I tend to agree that the slant is more legible.

Comment 4 Mai Ling 2018-05-22 07:58:04 UTC
what do you mean by "real" screenshot?
the above I've uploaded to imgur are pretty real, and I've spent quite some office time to set it up, including time spent to find a similar font!

do you mean to provide screenshot of a block of text containing the digit? a word editor? a ssh connection? what else is "real"?

Comment 5 Jens Petersen 2018-05-23 05:35:03 UTC
I mean a screenshot at actual size - obviously no ambiguity at the large sizes you posted.

Comment 6 Jan Kurik 2018-08-14 10:11:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 7 Mai Ling 2018-09-26 11:16:44 UTC
>I mean a screenshot at actual size

is this issue blocked on a screenshot?

Comment 8 Jens Petersen 2018-09-27 07:46:59 UTC
Well you said earlier screenshot would not help anyway.
I was just see a reallife instance when this is affecting you.

The feeling is that Liberation should not diverge from other
mainstream Office fonts, so it might be unlikely we can make this change.

If you still feel this is unreasonable maybe it is better to move
this discussion to https://github.com/liberationfonts/liberation-fonts. :-)

Have you tested with the newer liberation-fonts-2.0 ?

Comment 9 Mai Ling 2018-10-02 19:31:57 UTC
Created attachment 1489576 [details]
look at line 22:23:48

see a screenshot where it is hard to tell if it's zero or eight
loom around lines 22:23:45-22:23:58

Comment 10 Jens Petersen 2018-10-03 04:19:22 UTC
Thanks for the photo: I can see what you mean (though a png screenshot from the computer would be clearer I suppose).

But this leads me to a question: why are you using Liberation fonts as your terminal font?  There are probably better clearer fonts for terms.

For example Dejavu is clearer: it has no dot or line for zero -
so the distinction between 0 and 8 is even clearer.

Comment 11 Ben Cotton 2019-10-31 20:40:02 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 vishalvvr 2019-11-01 02:52:10 UTC
As @jens mentioned liberation-fonts should not diverge from other mainstream Office fonts. 
Also its an design issue it won't be fixed anywhere soon, so closing this bug for f29 release.
If in future you still feel this fix is required, please feel free to reopen this bug.
Thanks


Note You need to log in before you can comment on or make changes to this bug.